dbXML API

## com.dbxml.db.core.security
Class SecurityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.security.SecurityException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidAccessException, InvalidCredentialsException, InvalidRoleException, InvalidUserException

public class SecurityException
extends DBException

SecurityException is thrown by the DefaultSecurityManager if an authentication or access control request can't be fulfilled for security reasons.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`SecurityException(int faultCode)`
`SecurityException(int faultCode, java.lang.String message)`
`SecurityException(int faultCode, java.lang.String message, java.lang.Throwable wrapped)`
`SecurityException(int faultCode, java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityException

    public SecurityException(int faultCode)

### SecurityException

    public SecurityException(int faultCode,
                             java.lang.Throwable wrapped)

### SecurityException

    public SecurityException(int faultCode,
                             java.lang.String message)

### SecurityException

    public SecurityException(int faultCode,
                             java.lang.String message,
                             java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group